public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/mydumper/
Date: Thu,  4 Feb 2021 22:27:45 +0000 (UTC)	[thread overview]
Message-ID: <1612477508.a0e3dd83cb226bf4ccd5b2b8dc847b8ecdb26f2b.whissi@gentoo> (raw)

commit:     a0e3dd83cb226bf4ccd5b2b8dc847b8ecdb26f2b
Author:     Tomáš Mózes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Thu Feb  4 20:25:19 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Thu Feb  4 22:25:08 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a0e3dd83

dev-db/mydumper: bump to 0.10.1

Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-db/mydumper/Manifest               |  1 +
 dev-db/mydumper/mydumper-0.10.1.ebuild | 44 ++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-db/mydumper/Manifest b/dev-db/mydumper/Manifest
index 449f748f916..a7f5c90330c 100644
--- a/dev-db/mydumper/Manifest
+++ b/dev-db/mydumper/Manifest
@@ -1,2 +1,3 @@
+DIST mydumper-0.10.1.tar.gz 63967 BLAKE2B ad2876eb4fd6528c119d722e70b096d12698119e6d84737601d7bc0e71022926f579d21456b73b8ff1d384c961256538467badeaceaf60a92b333196a17dda10 SHA512 dbcb207c8ac61b286cd4464a3f2c67ea6972d1cab215c09a577cdf621f685011cc26e1e36399b72be2a8165b4e4c518b401be928b6a1a31e35d2f27c169dcc18
 DIST mydumper-0.9.3.tar.gz 45320 BLAKE2B 6e6d4420ced29d4ea77aa257ee155ce0810fe7d0ac3bf22c22156dfcfba35a3c461e4115d5814b5e0050331151a5b0c3bd819c1ecc534b6644972bf76de5d004 SHA512 3bc2c85dbedf234aecca3b66f445e42bb7ddff83f914d5cc231f6a5755d1c2bf300ae9bf4bdea0717b45ea5338c6c336ec44f375dbf29570ed785ffddda53898
 DIST mydumper-0.9.5.tar.gz 60010 BLAKE2B f74a949712526b3fc3b1957c9f9dc5c5f820d88f781926331e751eb99e6315b37bd8f38ac8a0e1943485cc74fe9b14a7e74e955c77ceba6b10bb1e18a7720d75 SHA512 5b72234c88fd22c103afb9fa5a7c3c99d6585cb450b8cc7385cfd23ae2ce09c0848d15767a5957a7b8f87a7614bdb058dea8990f1a2a12300c2c74fc9da2de75

diff --git a/dev-db/mydumper/mydumper-0.10.1.ebuild b/dev-db/mydumper/mydumper-0.10.1.ebuild
new file mode 100644
index 00000000000..5ba7f676d45
--- /dev/null
+++ b/dev-db/mydumper/mydumper-0.10.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils
+
+DESCRIPTION="A high-performance multi-threaded backup (and restore) toolset for MySQL"
+HOMEPAGE="https://github.com/maxbube/mydumper"
+SRC_URI="https://github.com/maxbube/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+COMMON_DEPEND="dev-db/mysql-connector-c:=
+	dev-libs/glib:=
+	dev-libs/libpcre:=
+	dev-libs/openssl:0=
+	sys-libs/zlib:="
+DEPEND="${COMMON_DEPEND}
+	virtual/pkgconfig
+	doc? ( dev-python/sphinx )"
+RDEPEND="${COMMON_DEPEND}"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-atomic.patch" #654314
+)
+
+src_prepare() {
+	# respect user cflags; do not expand ${CMAKE_C_FLAGS} (!)
+	sed -i -e 's:-Werror -O3 -g:${CMAKE_C_FLAGS}:' CMakeLists.txt || die
+
+	# fix doc install path
+	sed -i -e "s:share/doc/mydumper:share/doc/${PF}:" docs/CMakeLists.txt || die
+
+	cmake-utils_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=("-DBUILD_DOCS=$(usex doc)")
+
+	cmake-utils_src_configure
+}


             reply	other threads:[~2021-02-04 22:27 UTC|newest]

Thread overview: 42+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-02-04 22:27 Thomas Deutschmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-11 14:24 [gentoo-commits] repo/gentoo:master commit in: dev-db/mydumper/ Sam James
2024-03-07 16:33 Petr Vaněk
2024-03-07 16:33 Petr Vaněk
2024-03-07 16:33 Petr Vaněk
2023-11-02 10:25 Sam James
2023-10-21  8:43 Joonas Niilola
2023-09-01 17:15 Arthur Zamarin
2023-09-01 17:15 Arthur Zamarin
2023-08-19  4:26 Sam James
2023-07-14  6:50 Joonas Niilola
2023-07-14  6:50 Joonas Niilola
2023-06-23 20:16 Sam James
2023-04-26  4:03 Sam James
2023-04-17 11:56 Sam James
2023-02-15  5:53 Sam James
2022-11-10 16:15 Joonas Niilola
2022-10-25 17:55 Sam James
2022-08-04  6:37 Joonas Niilola
2022-08-04  6:37 Joonas Niilola
2022-05-13 20:04 Sam James
2022-04-29 12:20 Joonas Niilola
2022-02-06 19:47 Ionen Wolkens
2022-01-07  5:14 Sam James
2022-01-07  5:14 Sam James
2021-12-09 16:22 Agostino Sarubbo
2021-10-15 10:22 Joonas Niilola
2021-10-15 10:22 Joonas Niilola
2021-10-15 10:22 Joonas Niilola
2021-09-29 14:07 Sam James
2021-08-08 19:21 Ionen Wolkens
2021-08-08 19:21 Ionen Wolkens
2021-05-23 22:28 Agostino Sarubbo
2021-04-16  6:26 Joonas Niilola
2021-02-05 10:40 Sam James
2021-02-04 22:27 Thomas Deutschmann
2019-01-07 17:00 Lars Wendler
2018-10-02  9:33 Thomas Deutschmann
2018-05-24 10:23 Amy Liffey
2017-10-08 12:29 Amy Liffey
2017-10-01 10:30 Jonas Stein
2017-03-23 20:53 David Seifert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1612477508.a0e3dd83cb226bf4ccd5b2b8dc847b8ecdb26f2b.whissi@gentoo \
    --to=whissi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox